Bug 1479410 - incorrect value used in stock automation wait_for_completion
incorrect value used in stock automation wait_for_completion
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
All All
unspecified Severity medium
: GA
: 5.7.4
Assigned To: William Fitzgerald
Milan Falešník
: Reopened, ZStream
Depends On: 1474748
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:16 EDT by Satoe Imaishi
Modified: 2017-10-03 08:08 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1474748
Environment:
Last Closed: 2017-08-29 10:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2017-08-15 17:50:56 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/78619b5e97e9c294e6506d078fb4dcda9dc5c323

commit 78619b5e97e9c294e6506d078fb4dcda9dc5c323
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jul 25 17:23:48 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 15 17:48:54 2017 -0400

    Merge pull request #151 from billfitzgerald0120/fix_ae_retry_interval
    
    Changed ae_retry_limit = 1.minute to ae_retry_interval = 1.minute.
    (cherry picked from commit 0ee9bd467697aed5cc92f85f1210b4ceed73a87a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479410

 .../StateMachines/Job.class/__methods__/wait_for_completion.rb          | 2 +-
 .../Operations/StateMachines/Job.class/__methods__/wait_for_ip.rb       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 William Fitzgerald 2017-08-16 11:56:15 EDT
Taeho,

This fix is a one line change in 2 methods. 

1. Create a writeable custom domain (or use an existing custom domain).
2. Use the explorer and Navigate to ManageIQ/ConfigurationManagement/AnsibleTower/Operations/StateMachines/Job class.
3. Select the wait_for_completion method.
4. Copy the method to your custom domain.
5. Use the explorer and Navigate to ManageIQ/ConfigurationManagement/AnsibleTower/Operations/StateMachines/Job class.
6. Select the wait_for_ip method.
7. Copy the method to your custom domain.
8. Use the explorer and Navigate in your custom domain to /ConfigurationManagement/AnsibleTower/Operations/StateMachines/Job class.
9. Select the wait_for_completion method.
10. Edit the method.
11. Change  @handle.root['ae_retry_limit'] = 1.minute to 
            @handle.root['ae_retry_interval'] = 1.minute
12. Save the method.
13. Select the wait_for_ip method.
14. Edit the method.
15. Change  @handle.root['ae_retry_limit'] = 1.minute to 
            @handle.root['ae_retry_interval'] = 1.minute
16. Save the method.


Please let me know if you have any questions.

Billy
Comment 7 William Fitzgerald 2017-08-31 10:29:49 EDT
Taeho,

1. No, The unmodified method will work sometimes.  It will still retry 100 times so your playbook could finish.  The problem is the method won't wait 60 seconds between retries.  Based on how long your playbook runs and how quickly the system retries will determine whether it will work or not.  I run very simple playbooks and never encountered this problem.  

2. I don't understand your question, could you provide more information on this question ?

Thanks

Billy
Comment 9 William Fitzgerald 2017-09-05 15:30:27 EDT
Taeho,

Can you recreate the Service problem and let me have access to your appliance ?

Thanks

Billy
Comment 11 William Fitzgerald 2017-09-08 09:01:47 EDT
Taeho,

It looks like your custom method is getting an error so that is why the process is not retrying.

Thanks

Billy
Comment 13 Milan Falešník 2017-10-03 08:08:22 EDT
Checked the methods in 5.7.4.0 and the fixed root value ae_retry_interval is correctly used and ae_retry_limit is not present.

Note You need to log in before you can comment on or make changes to this bug.